package Type;

import java.awt.Color;

public class ColorType extends AbstractType {
    public int[] value;
    public float alpha;

    public Color getColor() {
		return new Color(value[0], value[1], value[2], (int) Math.floor(255*alpha));
	}

    public ColorType (int[] myValue, double myAlpha) {
	value = myValue;
	alpha = (float) myAlpha;
    }

    public ColorType(int a, int b, int c, double myAlpha) {
	value = new int[3];
	value[0] = a;
	value[1] = b;
	value[2] = c;
	alpha = (float)myAlpha;
    }

    public ColorType (IntType[] myValue, FloatType myAlpha) {
	value = new int[3];
	for (int i = 0; i < 3; ++i)	{
		value[i] = myValue[i].value;
	}
	alpha = myAlpha.value;
    }

    public ColorType(IntType a, IntType b, IntType c, FloatType myAlpha) {
	value = new int[3];
	value[0] = a.value;
	value[1] = b.value;
	value[2] = c.value;
	alpha = myAlpha.value;
    }

    public ColorType() {
    value = new int[3];
    value[0] = 0;
    value[1] = 0;
    value[2] = 0;
    alpha = (float) 1.0;
    }
}
