package Type;

import java.util.ArrayList;
import java.util.List;

public class ListType<T> extends AbstractType { 

    private List<T> list = new ArrayList<T>();

    private Class<T> type;

    private T createContents()
    {
        try {
            return type.newInstance();
        } catch (Exception e) {
            return null;
        }
    }

    public ListType () {
	
    }
    public ListType(T... args) {
	for(T t : args) {
	    list.add(t);
	}
    }
	public int size() {
	return list.size();
	}
    public T get(int i) {
	return list.get(i);
    }
    public T get(IntType i) {
	return list.get(i.value);
    }
    public T set(IntType i, T elt) {
    if (i.value >= list.size()) {
        for (int j = list.size(); j <= i.value; j++) {
            list.add(createContents());
        }
    }
	return list.set(i.value, elt);
    }
}

