(* figures out the program name *)

open Sys
open Array
open String

let get_name =
    let somewhat = (Array.get Sys.argv 2) in
    let last_index = String.rindex somewhat '/' in
    let length_sub = (String.length somewhat) -5-last_index-1
    in
    let name = String.sub somewhat (last_index+1) length_sub
    in name
